net.corda.core.node.services

## Interface StateMachineRecordedTransactionMappingStorage

- All Known Implementing Classes:
    DBTransactionMappingStorage, InMemoryStateMachineRecordedTransactionMappingStorage

      public StateMachineRecordedTransactionMappingStorage

  This is the interface to storage storing state machine -> recorded tx mappings. Any time a transaction is recorded during a flow run addMapping should be called.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMapping(StateMachineRunId stateMachineRunId, SecureHash transactionId)`
    `kotlin.Pair<java.util.List,rx.Observable>` | `track()`

- - ### Method Detail

    - #### addMapping

          void addMapping(StateMachineRunId stateMachineRunId,
                          SecureHash transactionId)

    - #### track

          kotlin.Pair<java.util.List,rx.Observable> track()